//This class is no longer in use.
package smart_gs.network;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;



public class ProjectActionListener implements ActionListener {
	public enum ProjectAction{OPEN, CHECKOUT, IMPORT, EXPORT, COMMIT, CREATE, UPDATE, ALL, NONE, COMMIT_CURRENT_PROJECT, UPDATE_CURRENT_PROJECT}
	
	private ProjectAction action;
	
	public ProjectActionListener(ProjectAction action) {
		this.action = action;
	}
	@Override
	public void actionPerformed(ActionEvent arg0) {
//		ProjectHandler handler = new ProjectHandler(this.action);
		if (action == ProjectAction.OPEN){
//			handler.selectProject();
		} else if (action == ProjectAction.ALL) {
			ProjectExplorer.getInstance().setVisible(true);
		} else {
//			handler.authenticate();			
		}
	}
	
}

